<div class="workflow">
  <div *ngIf="workflow" class="info">
    <i class="material-icons open" *ngIf="!detailed" (click)="switchDetailed()">
      expand_more
    </i>
    <i class="material-icons close" *ngIf="detailed" (click)="switchDetailed()">
      expand_less
    </i>

    <span class="identifier" *ngIf="parameters.headers.includes('identifier')"
      >#{{ workflow.id }}</span
    >
    <span class="reference" *ngIf="parameters.headers.includes('reference')">
      <video-title-component [id]="workflow.reference"></video-title-component>
      <span class="badge-live" *ngIf="workflow.is_live"> LIVE </span>
    </span>
    <span class="created" *ngIf="parameters.headers.includes('created_at')">
      <label> Created at </label>
      <span class="date">
        {{ workflow.created_at | date : 'd LLLL yy' }}
      </span>
      <span class="hour">
        {{ workflow.created_at + 'Z' | date : 'HH:mm:ss' }}
      </span>
    </span>
    <span class="duration" *ngIf="parameters.headers.includes('duration')">
      <duration-component
        [workflow]="workflow"
        display="total"
      ></duration-component>
    </span>
    <span
      class="duration"
      *ngIf="parameters.headers.includes('duration_pending')"
    >
      <duration-component
        [workflow]="workflow"
        display="pending"
      ></duration-component>
    </span>
    <span
      class="duration"
      *ngIf="parameters.headers.includes('duration_processing')"
    >
      <duration-component
        [workflow]="workflow"
        display="processing"
      ></duration-component>
    </span>
    <span
      title="@{{ user_name }}"
      class="user"
      *ngIf="parameters.headers.includes('launched_by')"
    >
      {{ first_name }} {{ last_name }}
    </span>
    <span class="steps-count" *ngIf="parameters.headers.includes('step_count')">
      <span class="label">Steps:</span>
      <span class="count">{{ getStepsCount() }} / {{ getTotalSteps() }}</span>
    </span>
    <span class="status">
      <mat-chip-list>
        <div style="width: 100%">
          <mat-chip class="{{ workflow.status.state }}" selected>
            {{ workflow.status.state }}
          </mat-chip>
        </div>
      </mat-chip-list>
    </span>
    <span class="details">
      <a routerLink="/workflows/{{ workflow.id }}">
        <button mat-raised-button color="primary" title="Details">
          <mat-icon>visibility</mat-icon>
        </button>
      </a>
    </span>
    <span class="actions">
      <workflow-actions-component
        [workflow]="workflow"
        (refreshEvent)="refreshWorkflows()"
      ></workflow-actions-component>
    </span>
  </div>
  <div *ngIf="workflow" class="steps">
    <div
      *ngFor="let step of workflow.steps"
      class="step {{ step.name }} {{ step.status }}"
    >
      <step-progress-bar-component
        [step]="step"
        [workflow]="workflow"
        [detailed]="detailed"
        [right_retry]="right_retry"
        [is_live]="workflow.is_live"
      >
      </step-progress-bar-component>
    </div>
  </div>
</div>
